Last Comment Bug 674957 - mochitests-5: test_alerts.html | application timed out after 330 seconds with no output
: mochitests-5: test_alerts.html | application timed out after 330 seconds with...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla9
Assigned To: Brian R. Bondy [:bbondy]
:
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-07-28 10:19 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch for mochitest alert timeout v1 (3.28 KB, patch)
2011-08-26 18:58 PDT, Brian R. Bondy [:bbondy]
sdwilsh: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-07-28 10:19:49 PDT
*** State of example.com: true
*** in ROUND subdom, test samedom is SECURE
238 INFO TEST-PASS | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | in ROUND subdom, test samedom - "SECURE" should equal "SECURE"
DONE WITH ROUND subdom
*** State of example.com: true
*** Exiting private browsing mode
*** ... done
*** State of example.com: false
TESTS LEFT IN ROUND: 4
*** State of example.com: false
*** in ROUND nosts, test samedom is INSECURE
239 INFO TEST-PASS | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | in ROUND nosts, test samedom - "INSECURE" should equal "INSECURE"
*** State of example.com: false
*** in ROUND nosts, test subdom is INSECURE
240 INFO TEST-PASS | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | in ROUND nosts, test subdom - "INSECURE" should equal "INSECURE"
*** State of example.com: false
*** in ROUND nosts, test otherdom is INSECURE
241 INFO TEST-PASS | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | in ROUND nosts, test otherdom - "INSECURE" should equal "INSECURE"
*** State of example.com: false
*** in ROUND nosts, test alreadysecure is SECURE
242 INFO TEST-PASS | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | in ROUND nosts, test alreadysecure - "SECURE" should equal "SECURE"
DONE WITH ROUND nosts
*** Cleaning up STS data.
*** State of example.com: false
243 INFO TEST-END | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | finished in 1112ms
244 INFO TEST-START | /tests/toolkit/components/alerts/test/test_alerts.html
245 INFO TEST-PASS | /tests/toolkit/components/alerts/test/test_alerts.html | Alerts service exists in this application
246 INFO TEST-PASS | /tests/toolkit/components/alerts/test/test_alerts.html | Alerts service is available
247 INFO TEST-PASS | /tests/toolkit/components/alerts/test/test_alerts.html | showAlertNotification() succeeded
248 INFO TEST-PASS | /tests/toolkit/components/alerts/test/test_alerts.html | Waiting for notification callback to be triggered...
TEST-UNEXPECTED-FAIL | /tests/toolkit/components/alerts/test/test_alerts.html | application timed out after 330 seconds with no output
INFO | automation.py | Application ran for: 0:06:05.891000
INFO | automation.py | Reading PID log: c:\docume~1\cltbld\locals~1\temp\tmp-2y--mpidlog
PROCESS-CRASH | /tests/toolkit/components/alerts/test/test_alerts.html | application crashed (minidump found)
Crash dump filename: c:\docume~1\cltbld\locals~1\temp\tmpnuplnf\minidumps\2ba1d35a-9a5e-4d82-8d96-1c2626f41378.dmp
Operating system: Windows NT
                  5.1.2600 Service Pack 2
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_ACCESS_VIOLATION_WRITE
Crash address: 0x0

Thread 22 (crashed)
 0  crashinjectdll.dll!CrashingThread(void *) [crashinjectdll.cpp:27a921f53d73 : 13 + 0x0]
    eip = 0x02d11000   esp = 0x054fffb8   ebp = 0x054fffec   ebx = 0x00000000
    esi = 0x57565554   edi = 0x53525150   eax = 0x00000000   ecx = 0x054fffb0
    edx = 0x7c90eb94   efl = 0x00010246
    Found by: given as instruction pointer in context
 1  kernel32.dll + 0xb50a
    eip = 0x7c80b50b   esp = 0x054fffbc   ebp = 0x054fffec
    Found by: call frame info

http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1311869835.1311870419.12628.gz&fulltext=1
Comment 1 Brian R. Bondy [:bbondy] 2011-08-26 18:58:01 PDT
Created attachment 556199 [details] [diff] [review]
Patch for mochitest alert timeout v1

I think the problem is that sometimes the finish call could happen before the waitForExplicitFinish.
Comment 2 Shawn Wilsher :sdwilsh 2011-09-05 19:56:43 PDT
Comment on attachment 556199 [details] [diff] [review]
Patch for mochitest alert timeout v1

Review of attachment 556199 [details] [diff] [review]:
-----------------------------------------------------------------

r=sdwilsh
Comment 3 Brian R. Bondy [:bbondy] 2011-09-20 13:38:59 PDT
Pushed to try:
https://tbpl.mozilla.org/?tree=Try&usebuildbot=1&rev=4707354b9069
Comment 4 Brian R. Bondy [:bbondy] 2011-09-21 09:56:49 PDT
Pushed to inbound:
http://hg.mozilla.org/integration/mozilla-inbound/rev/0f45fa81734a
Comment 5 Ed Morley [:emorley] 2011-09-21 18:14:34 PDT
https://hg.mozilla.org/mozilla-central/rev/0f45fa81734a

Note You need to log in before you can comment on or make changes to this bug.